# $Id: libexif.spec 2975 2005-03-09 05:31:45Z dag $
# Authority: matthias
# Upstream: <libexif-devel$lists,sf,net>

# ExcludeDist: el4

### Beware FC3 comes with older libexif !
# Tag: test

Name: libexif
Summary: EXIF image tag library
Version: 0.6.9
Release: 1.test
License: GPL
URL: http://libexif.sourceforge.net/
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/libexif/libexif-%{version}.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++

%description
Most digital cameras produce EXIF files, which are JPEG files with extra tags
that contain information about the image. The EXIF library allows you to parse
an EXIF file and read the data from those tags.


%package devel
Summary: The files needed for libexif application development
Group: Development/Libraries
Requires: %{name} = %{version}, pkgconfig

%description devel
The libexif-devel package contains the libraries and include files
that you can use to develop libexif applications.


%prep
%setup


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}


%clean
%{__rm} -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc ChangeLog README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jul 15 2004 Matthias Saou <http://freshrpms.net/> 0.6.9-1 - 2975/dag
- Update to 0.6.9.

* Mon Nov  5 2003 Matthias Saou <http://freshrpms.net/> 0.5.12-2
- Rebuild for Fedora Core 1.

* Tue Aug  5 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.5.12.

* Thu Jul 24 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.5.10.
- The lang file is back from %%{name}-8 to %%{name}.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.5.9.
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Tue Jan 21 2003 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup based on the one made by "tack".

